#include<conio.h>
#include<stdio.h>
#include<graphics.h>
main()
{int vekt[50],n,i,gd,gm,szum=0,u,v,r;
float d,a;
clrscr();
printf("H ny adat lesz?");scanf("%d", &n);
for(i=0;i<n;i++)
{printf("\nA %d. adat:",i+1);scanf("%d",&vekt[i]);
szum+=vekt[i];}
detectgraph(&gd,&gm);
initgraph(&gd,&gm,"D:\\g1bv\\bgi");
u=getmaxx()/2;v=getmaxy()/2;r=v-10;
d=360.0/szum;
a=0;
for(i=0;i<n;i++)
{setfillstyle(1,i+1);
pieslice(u,v,a,a+d*vekt[i],r);
a=a+d*vekt[i];
}
getch();
closegraph();
}